## com.ibm.lab.soln.resources
Class ActionManageTraceRCLs

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.ActionResourceAction
            |
            +--com.ibm.lab.soln.resources.ActionManageTraceRCLs

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate, org.eclipse.ui.IViewActionDelegate

public class ActionManageTraceRCLs
extends ActionResourceAction
implements org.eclipse.ui.IViewActionDelegate

Multi-headed action that used to request that a workspace resource change listener be added or removed.

Fields inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`selection`

Constructor Summary
`ActionManageTraceRCLs()` ActionManageTraceRCLs default constructor.

Method Summary
`void` | `attemptRCLAdd()` Add the RCL - return from plug-in service method indicates success
`void` | `attemptRCLRemove()` Remove the RCL - return from plug-in service method indicates success
`void` | `init(org.eclipse.ui.IViewPart view)`
`void` | `run(org.eclipse.jface.action.IAction action)` Determines type of request by inspecting UI action that triggered this method.

Methods inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`resultError, resultInformation, resultQuestion, selectionChanged, setActivePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`selectionChanged`

Constructor Detail

### ActionManageTraceRCLs

    public ActionManageTraceRCLs()

  ActionManageTraceRCLs default constructor.

Method Detail

### attemptRCLAdd

    public void attemptRCLAdd()
                       throws org.eclipse.core.runtime.CoreException

  Add the RCL - return from plug-in service method indicates success

### attemptRCLRemove

    public void attemptRCLRemove()
                          throws org.eclipse.core.runtime.CoreException

  Remove the RCL - return from plug-in service method indicates success

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Determines type of request by inspecting UI action that triggered this method.
  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
  See Also:
    `IActionDelegate.run(IAction)`